package Stanford::GCP::Bucket;

use strict;
use warnings;
use autodie;

use Moo;
use namespace::clean;

use POSIX qw/strftime/;

has 'path' => (
  is => 'rw'
);

has 'mtime_epoch' => (
  is => 'rw'
);

has 'md5sum_base64' => (
  is => 'rw'
);

has 'md5sum_ascii' => (
  is => 'rw'
);

sub to_string {
    my ($self) = shift ;

    my $path          = $self->path() ;
    my $mtime_epoch   = $self->mtime_epoch() ;
    my $md5sum_ascii  = $self->md5sum_ascii() ;
    my $md5sum_base64 = $self->md5sum_base64() ;

    # Convert epch to current time.
    my $mtime_datestring = strftime '%Y-%m-%d %H:%M:%S', localtime $mtime_epoch;

    my $rv = <<"EOS";
path:            $path
  mtime:         $mtime_datestring
  mtime_epoch:   $mtime_epoch
  md5sum_ascii:  $md5sum_ascii
  md5sum_base64: $md5sum_base64
EOS
}

1;
