use strict;
use warnings;

use Test::More tests => 4 ;

use Stanford::GCP::Storage ;
use Stanford::Orange::Util qw/slurp/ ;
use Data::Dumper ;


# Read in the test pseudo-JSON file
my $gsutil_ls_output = slurp('t/gsutil_ls.txt') ;

my @results = Stanford::GCP::Storage::gsutil_long_to_perl($gsutil_ls_output) ;
ok (@results, 'something came back from gsutil_long_to_perl') ;
ok (scalar(@results) == 9, 'correct number of results') ;

my $first_result = $results[0] ;
ok ($first_result->{'path'} eq 'gs://stage-uit-authnz-kdc-backup/dev/history.0.tar.bz2.encrypted',
   'first result path matches') ;
ok ($first_result->{'mtime_epoch'} eq '1556294905',
   'first result mtime_epoch matches') ;




